package com.gxzc.zen.api.bus.service.impl

import com.baomidou.mybatisplus.service.impl.ServiceImpl
import com.gxzc.zen.api.bus.mapper.MgrFondsMapper
import com.gxzc.zen.api.bus.model.MgrFonds
import com.gxzc.zen.api.bus.service.IMgrFondsService
import com.gxzc.zen.api.sys.model.SysParam
import com.gxzc.zen.api.sys.service.ISysParamService
import com.gxzc.zen.orm.annotation.MultiTransactional
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service

/**
 * <p>
 * 全宗表 服务实现类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-03
 */
@Service
class MgrFondsServiceImpl : ServiceImpl<MgrFondsMapper, MgrFonds>(), IMgrFondsService {

    @Autowired
    private lateinit var sysParamService: ISysParamService


    @MultiTransactional(noRollbackFor = [RuntimeException::class])
    override fun testTransaction() {
        baseMapper.insert(MgrFonds().also {
            it.fondsName = "2333"
            it.fondsNo = "1"
        })

        sysParamService.insert(SysParam().also {
            it.sort = 1
            it.value = "val"
            it.key = "key"
        })

        throw RuntimeException("test")
    }

}
