package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 菜单表
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-03
 */
@TableName("sys_menu")
data class SysMenu(
        /**
         * 菜单名称
         */
        var menuName: String? = null,
        /**
         * 菜单类型（0:CURD；1:系统菜单；2:业务菜单）
         */
        var menuType: Int? = null,
        /**
         * 上级菜单ID
         */
        var parentId: Long? = null,
        /**
         * 请求地址
         */
        var request: String? = null,
        /**
         * 展开状态(1:展开;0:收缩)
         */
        var expand: Int? = null,
        /**
         * 排序号
         */
        var sort: Int? = null,
        /**
         * 叶子节点(0:树枝节点;1:叶子节点)
         */
        var isShow: Int? = null
) : BaseModel() {
}
