package com.gxzc.zen.api.sys.service.impl

import com.baomidou.mybatisplus.mapper.EntityWrapper
import com.baomidou.mybatisplus.service.impl.ServiceImpl
import com.gxzc.zen.api.sys.mapper.SysUserMapper
import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.api.sys.service.ISysUserService
import org.slf4j.LoggerFactory
import org.springframework.cache.annotation.Cacheable
import org.springframework.stereotype.Service

/**
 * <p>
 * 用户管理 服务实现类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-03
 */
@Service
class SysUserServiceImpl : ServiceImpl<SysUserMapper, SysUser>(), ISysUserService {
    companion object {
        private val logger = LoggerFactory.getLogger(SysUserServiceImpl::class.java)
    }

    @Cacheable("user")
    override fun selectListCacheable(): MutableList<SysUser> {
        logger.info("selectListCacheable!!!")
        return baseMapper.selectList(EntityWrapper<SysUser>())
    }

}
